# -*- encoding: utf-8 -*-
# stub: medlineplus_ruby 0.1.1 ruby lib

Gem::Specification.new do |s|
  s.name = "medlineplus_ruby".freeze
  s.version = "0.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Todd Morningstar".freeze]
  s.date = "2017-06-17"
  s.description = "The National Library of Medicine API, \"Medlineplus Connect\", can be somewhat cantankerous to work with. Query params are non sensical to end users, query format is from a bygone era, and the resulting responses often contain large amounts of superficial information. The response structures are somewhat inconsistant, and are always non intuitive. This gem simplifies querying the NLM API, and parses the responses into something more sane and structured for the average Ruby dev to use. Note that at this time, the only feature available through this gem is querying descriptions for ICD-10 codes, more API interfaces TBD.".freeze
  s.email = ["techarchist@gmail.com".freeze]
  s.homepage = "https://github.com/stratigos/medlineplus_ruby".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "Thanks for trying medlineplus_ruby!".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.4.1".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Modernize access to the Medlineplus Connect API.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.14"])
    s.add_development_dependency(%q<pry>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.6"])
    s.add_development_dependency(%q<webmock>.freeze, ["~> 3.0.1"])
    s.add_runtime_dependency(%q<json>.freeze, ["~> 2.1.0"])
    s.add_runtime_dependency(%q<rest-client>.freeze, ["~> 2.0.2"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.14"])
    s.add_dependency(%q<pry>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.6"])
    s.add_dependency(%q<webmock>.freeze, ["~> 3.0.1"])
    s.add_dependency(%q<json>.freeze, ["~> 2.1.0"])
    s.add_dependency(%q<rest-client>.freeze, ["~> 2.0.2"])
  end
end
